http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadataDeletes custom metadata from the specified resource.
The ID of the resource, either a document or folder.
The ID of the version, if the custom metadata is being deleted from a document version.
List of properties to remove.
Flag to indicate removal of all custom metadata properties from the specified resource.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadata' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadataDeletes custom metadata from the specified resource.
The ID of the resource, either a document or folder.
The ID of the version, if the custom metadata is being deleted from a document version.
List of properties to remove.
Flag to indicate removal of all custom metadata properties from the specified resource.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://workdocs.{region}.amazonaws.com/api/v1/resources/{ResourceId}/customMetadata' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}